textures/stone/pjrock21
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/stone/pjrock21.tga
		rgbgen vertex
	}
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/liquids/clear_ripple1
{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformvertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}

}

models/mapobjects/skel/skel
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skel/skel.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/base_floor/proto_rustygrate2
{
	surfaceparm	metalsteps	
        surfaceparm trans	
	surfaceparm alphashadow
	cull none
        nopicmip
	
	{
		map textures/base_floor/proto_rustygrate2.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/liquids/clear_calm1
{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformvertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendfunc gl_dst_color gl_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	
	

}

models/mapobjects/gratelamp/gratetorch2b
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch2b.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }


}

textures/sfx/flame2
{
		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame2.tga

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/g1zm0/blk_laq1
{   
    
        {
                map textures/g1zm0/laq_shiny.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/g1zm0/blk_laq1.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/g1zm0/blue_laq1
{   
    
        {
                map textures/g1zm0/laq_shiny.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/g1zm0/blue_laq1.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/g1zm0/red_laq1
{   
    
        {
                map textures/g1zm0/laq_shiny.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/g1zm0/red_laq1.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/g1zm0/bluemetal_2e
{
	

	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/g1zm0/bluemetal_2e.tga
		blendfunc blend	
		rgbgen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/g1zm0/j_energy
{
	surfaceparm nodamage
	q3map_surfacelight 200

	qer_editorimage textures/g1zm0/energy.tga
	{
		map textures/g1zm0/energy1.tga
		rgbgen identity
	}
	
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	

	{
		animmap 2 textures/g1zm0/energy.tga textures/g1zm0/energy1.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 2
	}
}

textures/skies/samurai
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 1 1 85 220 40
	q3map_surfacelight 120

	qer_editorimage textures/skies/toxicsky.tga

	skyparms - 512 -
	
	{
		map textures/skies/inteldimclouds.tga
		tcmod scale 3 2
		tcmod scroll 0.15 0.15
		depthwrite
	}
	{
		map textures/skies/intelredclouds.tga
		blendfunc gl_one gl_one
		tcmod scale 3 3
		tcmod scroll 0.05 0.05
	}
}

textures/g1zm0/mkc_fog_samurai
{
	qer_editorimage textures/g1zm0/sam_fog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	fogparms ( 0.5 0.5 0.5 ) 150
	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

